XmTextXYToPos(library call)

NAME
XmTextXYToPos — A Text function that accesses the character position nearest an x and y position

SYNOPSIS

#include <Xm/Text.h>
XmTextPosition XmTextXYToPos(
Widget widget,
Position x,
Position y);

DESCRIPTION

XmTextXYToPos accesses the character position nearest to the specified x and y position, relative to the upper left corner of the Text widget.

In the case of horizontal writing, the position is the origin of the character. In the case of vertical writing, the position is the vertical origin of the character.

widget
    Specifies the Text widget ID

x   Specifies the x position, relative to the upper left corner of the widget

y   Specifies the y position, relative to the upper left corner of the widget

For a complete definition of Text and its associated resources, see XmText(3).

RETURN

Returns the character position in the text nearest the x and y position specified. This is an integer number of characters from the beginning of the buffer. The first character position is 0 (zero).

RELATED

XmText(3).